Package org.apache.tomcat.util.descriptor.tld

# Class ImplicitTldRuleSet

java.lang.Object
org.apache.tomcat.util.digester.RuleSetBase
org.apache.tomcat.util.descriptor.tld.ImplicitTldRuleSet

All Implemented Interfaces:
  `RuleSet`

public class ImplicitTldRuleSet extends RuleSetBase
RulesSet for digesting implicit.tld files. Only version information used and short names are allowed.

- ## Field Summary

  ### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

  `namespaceURI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImplicitTldRuleSet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRuleInstances(Digester digester)`
  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

  ### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

  `getNamespaceURI`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ImplicitTldRuleSet

    public ImplicitTldRuleSet()

- ## Method Details

  - ### addRuleInstances

    public void addRuleInstances(Digester digester)
    Description copied from class: `RuleSetBase`
    Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
    Specified by:
      `addRuleInstances` in interface `RuleSet`
    Specified by:
      `addRuleInstances` in class `RuleSetBase`
    Parameters:
      `digester` - Digester instance to which the new Rule instances should be added.